Manage Customer Portal Link
curl --request PATCH \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/access \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"access_pin": "4321",
"link_status": "locked"
}
'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/access"
payload = {
"access_pin": "4321",
"link_status": "locked"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({access_pin: '4321', link_status: 'locked'})
};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_reference_id": 9337,
"client_reference": "Reference 321",
"link": "https://inventory.valuechecker.ai/549b2a",
"access_pin": "4321",
"link_status": "locked"
}{
"error": "Client reference 9337 was not found",
"event_code": "ERNF00",
"event_dict": {
"event_severity": "ERROR",
"title": "Wrong \"client_reference_id\" value",
"description": "The client_reference_id \"9337\" was not found"
}
}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}Endpoint Examples
Manage Customer Portal Link
PATCH
/
client_reference
/
{client_reference_id}
/
portal
/
customer
/
access
Manage Customer Portal Link
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
Query Parameters
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
Body
application/json
⌘I